
set( art_VERSION 3.02.04 )
set( art_UPS_VERSION v3_02_04 )


####### Expanded from @PACKAGE_INIT@ by configure_package_config_file() #######
####### Any changes to this file will be overwritten by the next CMake run ####
####### The input file was product-config.cmake.in                            ########

get_filename_component(PACKAGE_PREFIX_DIR "${CMAKE_CURRENT_LIST_DIR}/../../../../../../" ABSOLUTE)

macro(set_and_check _var _file)
  set(${_var} "${_file}")
  if(NOT EXISTS "${_file}")
    message(FATAL_ERROR "File or directory ${_file} referenced by variable ${_var} does not exist !")
  endif()
endmacro()

macro(check_required_components _NAME)
  foreach(comp ${${_NAME}_FIND_COMPONENTS})
    if(NOT ${_NAME}_${comp}_FOUND)
      if(${_NAME}_FIND_REQUIRED_${comp})
        set(${_NAME}_FOUND FALSE)
      endif()
    endif()
  endforeach()
endmacro()

####################################################################################

if (IS_DIRECTORY "${PACKAGE_PREFIX_DIR}/art/v3_02_04/Modules")
  list(APPEND CMAKE_MODULE_PATH "${PACKAGE_PREFIX_DIR}/art/v3_02_04/Modules")
endif()



## find_library directives
find_ups_product( canvas v1_06_00 )
find_ups_product( cppunit  )
find_ups_product( clhep  )
find_ups_product( cetlib_except  )
find_ups_product( cetlib v2_01_00 )
find_ups_boost( v1_50_0 )
find_ups_product( sqlite  )
find_ups_product( hep_concurrency  )
find_ups_product( tbb  )
  cet_find_library( CPPUNIT NAMES cppunit PATHS ENV CPPUNIT_LIB NO_DEFAULT_PATH )
  cet_find_library( SQLITE3 NAMES sqlite3_ups PATHS ENV SQLITE_LIB NO_DEFAULT_PATH )
find_ups_product( fhiclcpp  )
find_ups_product( python  )
find_ups_product( messagefacility  )
find_ups_product( range  )
  cet_find_library( CLHEP NAMES CLHEP PATHS ENV CLHEP_LIB_DIR NO_DEFAULT_PATH )
set(ART_VERSION "$ENV{ART_LIB}/libart_Version.dylib")
set(ART_UTILITIES "$ENV{ART_LIB}/libart_Utilities.dylib")
set(ART_FRAMEWORK_ART "$ENV{ART_LIB}/libart_Framework_Art.dylib")
set(ART_FRAMEWORK_CORE "$ENV{ART_LIB}/libart_Framework_Core.dylib")
set(ART_FRAMEWORK_EVENTPROCESSOR "$ENV{ART_LIB}/libart_Framework_EventProcessor.dylib")
set(ART_FRAMEWORK_IO "$ENV{ART_LIB}/libart_Framework_IO.dylib")
set(ART_FRAMEWORK_IO_CATALOG "$ENV{ART_LIB}/libart_Framework_IO_Catalog.dylib")
set(ART_FRAMEWORK_IO_PRODUCTMIX "$ENV{ART_LIB}/libart_Framework_IO_ProductMix.dylib")
set(ART_FRAMEWORK_IO_SOURCES "$ENV{ART_LIB}/libart_Framework_IO_Sources.dylib")
set(ART_FRAMEWORK_IO_DETAIL "$ENV{ART_LIB}/libart_Framework_IO_detail.dylib")
set(ART_FRAMEWORK_MODULES_BLOCKINGPRESCALER_MODULE "$ENV{ART_LIB}/libart_Framework_Modules_BlockingPrescaler_module.dylib")
set(ART_FRAMEWORK_MODULES_DATAFLOWDUMPER_MODULE "$ENV{ART_LIB}/libart_Framework_Modules_DataFlowDumper_module.dylib")
set(ART_FRAMEWORK_MODULES_EMPTYEVENT_SOURCE "$ENV{ART_LIB}/libart_Framework_Modules_EmptyEvent_source.dylib")
set(ART_FRAMEWORK_MODULES_EVENTIDFILTER_MODULE "$ENV{ART_LIB}/libart_Framework_Modules_EventIDFilter_module.dylib")
set(ART_FRAMEWORK_MODULES_FILEDUMPEROUTPUT_MODULE "$ENV{ART_LIB}/libart_Framework_Modules_FileDumperOutput_module.dylib")
set(ART_FRAMEWORK_MODULES_PRESCALER_MODULE "$ENV{ART_LIB}/libart_Framework_Modules_Prescaler_module.dylib")
set(ART_FRAMEWORK_MODULES_PROVENANCECHECKEROUTPUT_MODULE "$ENV{ART_LIB}/libart_Framework_Modules_ProvenanceCheckerOutput_module.dylib")
set(ART_FRAMEWORK_MODULES_RANDOMNUMBERSAVER_MODULE "$ENV{ART_LIB}/libart_Framework_Modules_RandomNumberSaver_module.dylib")
set(ART_FRAMEWORK_PRINCIPAL "$ENV{ART_LIB}/libart_Framework_Principal.dylib")
set(ART_FRAMEWORK_SERVICES_FILESERVICEINTERFACES "$ENV{ART_LIB}/libart_Framework_Services_FileServiceInterfaces.dylib")
set(ART_FRAMEWORK_SERVICES_OPTIONAL_RANDOMNUMBERGENERATOR_SERVICE "$ENV{ART_LIB}/libart_Framework_Services_Optional_RandomNumberGenerator_service.dylib")
set(ART_FRAMEWORK_SERVICES_OPTIONAL_MEMORYTRACKER_SERVICE "$ENV{ART_LIB}/libart_Framework_Services_Optional_MemoryTracker_service.dylib")
set(ART_FRAMEWORK_SERVICES_OPTIONAL_TIMETRACKER_SERVICE "$ENV{ART_LIB}/libart_Framework_Services_Optional_TimeTracker_service.dylib")
set(ART_FRAMEWORK_SERVICES_OPTIONAL_TRACER_SERVICE "$ENV{ART_LIB}/libart_Framework_Services_Optional_Tracer_service.dylib")
set(ART_FRAMEWORK_SERVICES_OPTIONAL_TRIVIALFILEDELIVERY_SERVICE "$ENV{ART_LIB}/libart_Framework_Services_Optional_TrivialFileDelivery_service.dylib")
set(ART_FRAMEWORK_SERVICES_OPTIONAL_TRIVIALFILETRANSFER_SERVICE "$ENV{ART_LIB}/libart_Framework_Services_Optional_TrivialFileTransfer_service.dylib")
set(ART_FRAMEWORK_SERVICES_REGISTRY "$ENV{ART_LIB}/libart_Framework_Services_Registry.dylib")
set(ART_FRAMEWORK_SERVICES_SYSTEM_DATABASECONNECTION_SERVICE "$ENV{ART_LIB}/libart_Framework_Services_System_DatabaseConnection_service.dylib")
set(ART_FRAMEWORK_SERVICES_SYSTEM_FILECATALOGMETADATA_SERVICE "$ENV{ART_LIB}/libart_Framework_Services_System_FileCatalogMetadata_service.dylib")
set(ART_FRAMEWORK_SERVICES_SYSTEM_FLOATINGPOINTCONTROL_SERVICE "$ENV{ART_LIB}/libart_Framework_Services_System_FloatingPointControl_service.dylib")
set(ART_FRAMEWORK_SERVICES_SYSTEM_TRIGGERNAMESSERVICE_SERVICE "$ENV{ART_LIB}/libart_Framework_Services_System_TriggerNamesService_service.dylib")
set(ART_PERSISTENCY_COMMON "$ENV{ART_LIB}/libart_Persistency_Common.dylib")
set(ART_PERSISTENCY_PROVENANCE "$ENV{ART_LIB}/libart_Persistency_Provenance.dylib")
set(SET_MANAGER_FOR_TESTS "$ENV{ART_LIB}/libset_manager_for_tests.dylib")
set(ART_TEST_FRAMEWORK_EVENTPROCESSOR_EVENTPROCESSORTESTSOURCE_SOURCE "$ENV{ART_LIB}/libart_test_Framework_EventProcessor_EventProcessorTestSource_source.dylib")
set(ART_TEST_FRAMEWORK_EVENTPROCESSOR_EVENTPROCESSORTESTOUTPUT_MODULE "$ENV{ART_LIB}/libart_test_Framework_EventProcessor_EventProcessorTestOutput_module.dylib")
set(ART_TEST_FRAMEWORK_SERVICES_BASIC "$ENV{ART_LIB}/libart_test_Framework_Services_Basic.dylib")
  include_directories ( "$ENV{ART_INC}" )
  set( ART_PLUGINVERSIONINFO_PM $ENV{ART_DIR}/perllib/CetSkelPlugins/art/PluginVersionInfo.pm )
  set( ANALYZER_PM $ENV{ART_DIR}/perllib/CetSkelPlugins/Analyzer.pm )
  set( EMPTYEVENTTIMESTAMPPLUGIN_PM $ENV{ART_DIR}/perllib/CetSkelPlugins/EmptyEventTimestampPlugin.pm )
  set( FILECATALOGMETADATAPLUGIN_PM $ENV{ART_DIR}/perllib/CetSkelPlugins/FileCatalogMetadataPlugin.pm )
  set( FILTER_PM $ENV{ART_DIR}/perllib/CetSkelPlugins/Filter.pm )
  set( OUTPUT_PM $ENV{ART_DIR}/perllib/CetSkelPlugins/Output.pm )
  set( PRODUCER_PM $ENV{ART_DIR}/perllib/CetSkelPlugins/Producer.pm )
  set( RESULTSPRODUCER_PM $ENV{ART_DIR}/perllib/CetSkelPlugins/ResultsProducer.pm )
  set( SERVICE_PM $ENV{ART_DIR}/perllib/CetSkelPlugins/Service.pm )
  set( SERVICEIMPL_PM $ENV{ART_DIR}/perllib/CetSkelPlugins/ServiceImpl.pm )
  set( SERVICEINTERFACE_PM $ENV{ART_DIR}/perllib/CetSkelPlugins/ServiceInterface.pm )
  set( ART_CETSKEL_ANALYZERCOMMON_PM $ENV{ART_DIR}/perllib/CetSkel/AnalyzerCommon.pm )
  set( ART_CETSKEL_FILTERPRODUCERCOMMON_PM $ENV{ART_DIR}/perllib/CetSkel/FilterProducerCommon.pm )
  set( ART_CETSKEL_SERVICECOMMON_PM $ENV{ART_DIR}/perllib/CetSkel/ServiceCommon.pm )

check_required_components(art)

